
Foreman - Bug #1573

removing non-existing vm from RHEV 2.2 cluster results in HTTP 500 error

04/13/2012 10:07 AM - Sander Hoentjen

Status: Rejected   

Priority: Low   

Assignee: Ohad Levy   

Category: Compute resources - oVirt   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

RHEV 2.2 has an internal server error when you try to remove a vm that does not exist.

The response from the api will be:

HTTP/1.1 500 Internal Server Error

Server: Apache-Coyote/1.1

Content-Type: text/html;charset=utf-8

Content-Length: 4265

Date: Fri, 13 Apr 2012 14:04:38 GMT

Connection: close

<html><head><title>JBoss Web/2.1.3.GA - Error report</title><style><!--H1 {font-family:Tahoma,Aria

l,sans-serif;color:white;background-color:#525D76;font-size:22px;} H2 {font-family:Tahoma,Arial,sa

ns-serif;color:white;background-color:#525D76;font-size:16px;} H3 {font-family:Tahoma,Arial,sans-s

erif;color:white;background-color:#525D76;font-size:14px;} BODY {font-family:Tahoma,Arial,sans-ser

if;color:black;background-color:white;} B {font-family:Tahoma,Arial,sans-serif;color:white;backgro

und-color:#525D76;} P {font-family:Tahoma,Arial,sans-serif;background:white;color:black;font-size:

12px;}A {color : black;}A.name {color : black;}HR {color : #525D76;}--></style> </head><body><h1>H

TTP Status 500 - </h1><HR size="1" noshade="noshade"><p><b>type</b> Exception report</p><p><b>mess

age</b> <u></u></p><p><b>description</b> <u>The server encountered an internal error () that preve

nted it from fulfilling this request.</u></p><p><b>exception</b> <pre>org.jboss.resteasy.spi.Unhan

dledException: com.redhat.rhevm.api.powershell.util.PowerShellException: Command 'remove-vm -vmid 

&quot;325b572d-be43-45fd-bca4-caea35c74de2&quot;' exited with status=1

    org.jboss.resteasy.core.SynchronousDispatcher.unwrapException(SynchronousDispatcher.java:345)

    org.jboss.resteasy.core.SynchronousDispatcher.handleApplicationException(SynchronousDispatcher

.java:321)

    org.jboss.resteasy.core.SynchronousDispatcher.handleException(SynchronousDispatcher.java:214)

    org.jboss.resteasy.core.SynchronousDispatcher.handleInvokerException(SynchronousDispatcher.jav

a:190)

    org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:534)

    org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:496)

    org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:119)

    org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerD

ispatcher.java:208)

    org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.

java:55)

    org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.

java:50)

    javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

    org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:96)

</pre></p><p><b>root cause</b> <pre>com.redhat.rhevm.api.powershell.util.PowerShellException: Comm

and 'remove-vm -vmid &quot;325b572d-be43-45fd-bca4-caea35c74de2&quot;' exited with status=1

    com.redhat.rhevm.api.powershell.util.PowerShellCmd.handleExitStatus(PowerShellCmd.java:253)

    com.redhat.rhevm.api.powershell.util.PowerShellCmd.complete(PowerShellCmd.java:248)

    com.redhat.rhevm.api.powershell.util.PowerShellCmd.runCommand(PowerShellCmd.java:279)

    com.redhat.rhevm.api.powershell.resource.PowerShellVmsResource.remove(PowerShellVmsResource.ja
va:235)

    sun.reflect.GeneratedMethodAccessor1433.invoke(Unknown Source)

    sun.reflect.DelegatingMethodAccessorImpl.invoke(DelegatingMethodAccessorImpl.java:43)

    java.lang.reflect.Method.invoke(Method.java:601)

    org.jboss.resteasy.core.MethodInjectorImpl.invoke(MethodInjectorImpl.java:140)

    org.jboss.resteasy.core.ResourceMethod.invokeOnTarget(ResourceMethod.java:255)

    org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:220)

    org.jboss.resteasy.core.ResourceMethod.invoke(ResourceMethod.java:209)

    org.jboss.resteasy.core.SynchronousDispatcher.getResponse(SynchronousDispatcher.java:519)

    org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:496)

    org.jboss.resteasy.core.SynchronousDispatcher.invoke(SynchronousDispatcher.java:119)

    org.jboss.resteasy.plugins.server.servlet.ServletContainerDispatcher.service(ServletContainerD

ispatcher.java:208)

    org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.

java:55)

    org.jboss.resteasy.plugins.server.servlet.HttpServletDispatcher.service(HttpServletDispatcher.

java:50)

    javax.servlet.http.HttpServlet.service(HttpServlet.java:717)

    org.jboss.web.tomcat.filters.ReplyHeaderFilter.doFilter(ReplyHeaderFilter.java:96)

</pre></p><p><b>note</b> <u>The full stack trace of the root cause is available in the JBoss Web/2

.1.3.GA logs.</u></p><HR size="1" noshade="noshade"><h3>JBoss Web/2.1.3.GA</h3></body></html>

 This is fixed with RHEV 3.0, and for RHEV 2.2 the API is unsupported

History

#1 - 03/15/2016 07:23 AM - Ohad Levy

- Description updated

- Category set to Compute resources - oVirt

- Status changed from New to Rejected

this is a RHEV 2.2 bug, and since it is no longer maintained, i'm closing this bug.
